Get Share
curl --request GET \
--url https://api.example.com/v1/public-sharing/{ai_agent_id}import requests
url = "https://api.example.com/v1/public-sharing/{ai_agent_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/public-sharing/{ai_agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"share_id": "<string>",
"ai_agent_id": "<string>",
"public_key": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Public Sharing
Get Share
Retrieves the shared key and configuration that enables an AI agent to be available to users.
GET
/
v1
/
public-sharing
/
{ai_agent_id}
Get Share
Path Parameters
Response
Successful Response
Unique identifier for this public share configuration. Use this ID to manage or revoke public access
The unique identifier of the AI agent that is publicly accessible through this share configuration
The public access key that anonymous users must provide to initiate web calls with this AI agent
Timestamp indicating when this public share configuration was created

